net.sf.saxon.tree.linked

## Interface NodeFactory

- All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    SchemaNodeFactory, StyleNodeFactory

      public interface NodeFactory
      extends Serializable

  Interface NodeFactory.
  A Factory for nodes used to build a tree.
  Currently only allows Element nodes to be user-constructed.
  Version:
    25 February 2000
  Author:
    Michael H. Kay

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElementImpl` | `makeElementNode(NodeInfo parent, NodeName nameCode, SchemaType elementType, boolean isNilled, AttributeCollectionImpl attlist, NamespaceBinding[] namespaces, int namespacesUsed, PipelineConfiguration pipe, int locationId, int sequenceNumber)` Create an Element node
    `TextImpl` | `makeTextNode(NodeInfo parent, CharSequence content)` Make a text node

- - ### Method Detail

    - #### makeElementNode

          ElementImpl makeElementNode(NodeInfo parent,
                                    NodeName nameCode,
                                    SchemaType elementType,
                                    boolean isNilled,
                                    AttributeCollectionImpl attlist,
                                    NamespaceBinding[] namespaces,
                                    int namespacesUsed,
                                    PipelineConfiguration pipe,
                                    int locationId,
                                    int sequenceNumber)

      Create an Element node
      Parameters:
        `parent` - The parent element
        `nameCode` - The element name
        `elementType` - The type annotation of the element
        `isNilled` - true if the element is to be marked as nilled
        `attlist` - The attribute collection, excluding any namespace attributes
        `namespaces` - List of new namespace declarations for this element, as a sequence of namespace codes representing pairs of strings: (prefix1, uri1), (prefix2, uri2)...
        `namespacesUsed` - the number of elemnts of the namespaces array actually used
        `pipe` - The pipeline configuration (provides access to the error listener and the location provider)
        `locationId` - Indicates the source document and line number containing the node
        `sequenceNumber` - Sequence number to be assigned to represent document order.

    - #### makeTextNode

          TextImpl makeTextNode(NodeInfo parent,
                              CharSequence content)

      Make a text node
      Parameters:
        `content` - the content of the text node
      Returns:
        the constructed text node

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.